<template>
	<fullscreen-dialog v-model="dialogVisible" hide-destroy>
		<flow-canvas :config="config" />
	</fullscreen-dialog>
</template>

<script setup lang="ts">
	import FullscreenDialog from '../components/fullscreen-dialog.vue'
	import flowCanvas from './flow-canvas.vue'
	import { ref } from 'vue'
	const dialogVisible = ref(false)
	const config = ref({})
	const open = (options) => {
		dialogVisible.value = true
		config.value = options || {}
	}
	const close = () => {
		dialogVisible.value = false
	}
	defineExpose({
		open,
		close
	})
</script>
<style lang="less" scoped>
</style>
